| M480 BSP V3.05.001 The Board Support Package for M480 Series

Data Fields
cdc_dev_t Struct Reference
Library » USB Host Library » USB Host Exported Structures

`#include <usbh_cdc.h>`

## Data Fields
UDEV_T * | udev
IFACE_T * | iface_cdc
IFACE_T * | iface_data
int | ifnum_data
EP_INFO_T * | ep_sts
EP_INFO_T * | ep_rx
EP_INFO_T * | ep_tx
UTR_T * | utr_sts
UTR_T * | utr_rx
uint32_t | sts_buff [CDC_STATUS_BUFF_SIZE/4]
uint32_t | rx_buff [CDC_RX_BUFF_SIZE/4]
CDC_CB_FUNC * | sts_func
CDC_CB_FUNC * | rx_func
uint8_t | rx_busy
struct cdc_dev_t * | next

## Detailed Description

Definition at line 175 of file usbh_cdc.h.

## Field Documentation

## ◆ ep_rx

EP_INFO_T* cdc_dev_t::ep_rx

Definition at line 182 of file usbh_cdc.h.

## ◆ ep_sts

EP_INFO_T* cdc_dev_t::ep_sts

Definition at line 181 of file usbh_cdc.h.

## ◆ ep_tx

EP_INFO_T* cdc_dev_t::ep_tx

Definition at line 183 of file usbh_cdc.h.

## ◆ iface_cdc

IFACE_T* cdc_dev_t::iface_cdc

Definition at line 178 of file usbh_cdc.h.

## ◆ iface_data

IFACE_T* cdc_dev_t::iface_data

Definition at line 179 of file usbh_cdc.h.

## ◆ ifnum_data

int cdc_dev_t::ifnum_data

Definition at line 180 of file usbh_cdc.h.

## ◆ next

struct cdc_dev_t* cdc_dev_t::next

Definition at line 191 of file usbh_cdc.h.

## ◆ rx_buff

uint32_t cdc_dev_t::rx_buff[CDC_RX_BUFF_SIZE/4]

Definition at line 187 of file usbh_cdc.h.

## ◆ rx_busy

uint8_t cdc_dev_t::rx_busy

Definition at line 190 of file usbh_cdc.h.

## ◆ rx_func

CDC_CB_FUNC* cdc_dev_t::rx_func

Definition at line 189 of file usbh_cdc.h.

## ◆ sts_buff

uint32_t cdc_dev_t::sts_buff[CDC_STATUS_BUFF_SIZE/4]

Definition at line 186 of file usbh_cdc.h.

## ◆ sts_func

CDC_CB_FUNC* cdc_dev_t::sts_func

Definition at line 188 of file usbh_cdc.h.

## ◆ udev

UDEV_T* cdc_dev_t::udev

Definition at line 177 of file usbh_cdc.h.

## ◆ utr_rx

UTR_T* cdc_dev_t::utr_rx

Definition at line 185 of file usbh_cdc.h.

## ◆ utr_sts

UTR_T* cdc_dev_t::utr_sts

Definition at line 184 of file usbh_cdc.h.

The documentation for this struct was generated from the following file:

- UsbHostLib/inc/usbh_cdc.h